%def_disable static

Name: libsrs_alt
Version: 1.0
Release: alt2

Packager: Victor Forsyuk <force@altlinux.org>

Summary: Implementation of the SRS specification
License: GPLv2
Group: System/Libraries

URL: http://srs.mirtol.com/
Source0: http://srs.mirtol.com/libsrs_alt-%version.tar.bz2

# Automatically added by buildreq on Fri Jan 09 2009
BuildRequires: gcc-c++
# c++ not needed for compilation (code is plain C) but configure panics
# without it... :-\

%description
Libsrs_alt is an implementation of the SRS specification as found at
http://spf.pobox.com/srs.html.

%package devel
Summary: Development files for libsrs_alt library
Group: Development/C
Requires: %name = %version-%release

%description devel
Development files for libsrs_alt library.

%package devel-static
Summary: Static libsrs_alt library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libsrs_alt library.

%prep
%setup

%build
%configure --with-base64compat %{subst_enable static}
%make_build srs_LDFLAGS="-lsrs_alt -Lsrc/" test_LDFLAGS="-lsrs_alt -Lsrc/"

%install
%make_install install DESTDIR=%buildroot

%files
%doc MTAs/README.EXIM
%_bindir/*
%_libdir/lib*.so.*

%files devel
%_libdir/lib*.so
%_includedir/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Fri Jan 09 2009 Victor Forsyuk <force@altlinux.org> 1.0-alt2
- Remove obsolete ldconfig calls.

* Tue Jul 12 2005 Victor Forsyuk <force@altlinux.ru> 1.0-alt1
- Enabled "--with-base64compat" as suggested by author.

* Tue Jan 18 2005 Victor Forsyuk <force@altlinux.ru> 0.5-alt1
- Initial build for Sysiphus.
